# Usage

The pyenphase package provides the Envoy class to collect data from Enphase IQ Gateway. To use this package, import classes and modules from it:

    from pyenphase import Envoy, EnvoyData

    envoy: Envoy = Envoy(host)
    await envoy.setup()

    await envoy.authenticate(username=username, password=password, token=token)
    data: EnvoyData = await envoy.update()

    await envoy.close()